

Crafty.c("touchBox", {
  init: function() {
  this.requires("2D, Canvas, Color, Mouse").attr({w:76, h:54}).color("white");
 
  },
});

Crafty.c("TileBg", {
	init:function() {
		this.requires("2D, Canvas, Image, Mouse, Tween").image("images/tile_select.png")
    },
});



Crafty.c("Img1", {
  init: function() {
      this.requires("2D, Canvas, Image, Mouse, Tween").image("images/shell.png");
      this.lNumberValue = 1;
 
  },
});


Crafty.c("Img0", {
	init:function() {
		this.requires("2D, Canvas, Image, Mouse, Tween").image("images/star.png")
        this.lNumberValue = 0;
    },
	
});

Crafty.c("Shell1", {
  init: function() {
      this.requires("2D, Canvas, Image, Mouse, Tween").image("images/shell1.png");
      this.lNumberValue = 1;
 
  },
});


Crafty.c("Star1", {
	init:function() {
		this.requires("2D, Canvas, Image, Mouse, Tween").image("images/star1.png")
        this.lNumberValue = 0;
    },
	
});



Crafty.c("Line1", {
	init:function() {
		this.requires("2D, Canvas, Image, Mouse, Tween").image("images/line1.png")
    },
});

Crafty.c("Line2", {
	init:function() {
		this.requires("2D, Canvas, Image, Mouse, Tween").image("images/line2.png")
    },
});

Crafty.c("Line3", {
	init:function() {
		this.requires("2D, Canvas, Image, Mouse, Tween").image("images/line3.png")
    },
});

Crafty.c("Line4", {
	init:function() {
		this.requires("2D, Canvas, Image, Mouse, Tween").image("images/line4.png")
    },
});

Crafty.c("Line5", {
	init:function() {
		this.requires("2D, Canvas, Image, Mouse, Tween").image("images/line5.png")
    },
});

Crafty.c("Line6", {
	init:function() {
		this.requires("2D, Canvas, Image, Mouse, Tween").image("images/line6.png")
    },
});



